<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/expansionvehicleboatbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d43/a03101_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionvehicleboatbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d43/a03101.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionVehicleBoatBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @class       ExpansionBoat</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> * @brief       This class handle boat movement and physics</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"> */</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d66/a07770.html">ExpansionVehicleBoatBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d03/a07750.html">ExpansionVehicleCarBase</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a6f62396b3e1a34eabd08f68ab2c7ce1d">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d03/a07750.html#a6f62396b3e1a34eabd08f68ab2c7ce1d">ExpansionVehicleBoatBase</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a51a1b7706d30ace4b2467e6759625e14">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d03/a07750.html#a51a1b7706d30ace4b2467e6759625e14">DeferredInit</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        super.DeferredInit();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        vector orientation = <a class="code hl_function" href="../../d8/d5f/a02216.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d4/d8a/a04362.html">ExpansionStatic</a>.<a class="code hl_function" href="../../d4/d8a/a04362.html#a800d1c180f0124f6ff745694db61e6fa">SurfaceIsWater</a>(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>))</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordtype">float</span> depth = g_Game.GetWaterDepth(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] = <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] + depth;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <a class="code hl_function" href="../../d8/d5f/a02216.html#a58bb45de914f9ba1769fdd2184c4ba20">SetPosition</a>(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_function" href="../../d8/d5f/a02216.html#ab0772e48a0ac5e2498ae16488790cce5">SetOrientation</a>(Vector(orientation[0], 0, 0));</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a612a02a5d77a295c3acf25450829d5db">   38</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d03/a07750.html#a612a02a5d77a295c3acf25450829d5db">OnAnimationUpdate</a>(<span class="keywordtype">float</span> pDt)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        super.OnAnimationUpdate(pDt);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        SetAnimationPhase(<span class="stringliteral">&quot;compasspointer&quot;</span>, <a class="code hl_function" href="../../d8/d5f/a02216.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a>()[0] * Math.DEG2RAD);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        SetAnimationPhase(<span class="stringliteral">&quot;drivingWheel&quot;</span>, m_Controller.GetSteering());</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a643b67fb0341fea17f056accd2306b50">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d03/a07750.html#a643b67fb0341fea17f056accd2306b50">Get3rdPersonCameraType</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Get3rdPersonCameraType&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> DayZPlayerCameras.DAYZCAMERA_3RD_VEHICLE;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#ad2ce2844ccd24bc916949e0803008080">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d03/a07750.html#ad2ce2844ccd24bc916949e0803008080">GetAnimInstance</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimInstance&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a>.<a class="code hl_variable" href="../../db/d12/a07510.html#a76bb1e22e06fdcb9ef8d6511939bd53a">EX_HATCHBACK</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#ad72125b1e4208ad9c3a7475645264be3">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d03/a07750.html#ad72125b1e4208ad9c3a7475645264be3">GetSeatAnimationType</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetSeatAnimationType&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_CODRIVER;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#aad38c8c931e7d9e0ce5600d25139720e">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#aad38c8c931e7d9e0ce5600d25139720e">CrewCanGetThrough</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CrewCanGetThrough&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a53876a4cce558473fc0df2d02a0f6924">   92</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a> <a class="code hl_function" href="../../da/d03/a07750.html#a53876a4cce558473fc0df2d02a0f6924">CreateRearLight</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateRearLight&quot;</span>);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d9/d64/a07874.html">CarRearLightBase</a>.Cast(ScriptedLightBase.CreateLight(ExpansionRearBoatLights));</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a3ef5cb282a22bc27dc7350859dc27abc">  101</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#a3ef5cb282a22bc27dc7350859dc27abc">CanReachDoorsFromSeat</a>(<span class="keywordtype">string</span> pDoorsSelection, <span class="keywordtype">int</span> pCurrentSeat)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachDoorsFromSeat&quot;</span>).Add(pDoorsSelection).Add(pCurrentSeat);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a0c3600f3dacf07fafe8e1de11139d2cc">  110</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#a0c3600f3dacf07fafe8e1de11139d2cc">CanReachSeatFromDoors</a>(<span class="keywordtype">string</span> pSeatSelection, vector pFromPos, <span class="keywordtype">float</span> pDistance = 1.0)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachSeatFromDoors&quot;</span>).Add(pSeatSelection).Add(pFromPos).Add(pDistance);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#aa0e5272a9944b90b9906b3c4afa635a5">  119</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#aa0e5272a9944b90b9906b3c4afa635a5">IsCar</a>()</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsCar&quot;</span>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a0ca9c05334f8550bb82d23dfec2bfb42">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#a0ca9c05334f8550bb82d23dfec2bfb42">IsBoat</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a0f10287ac2c1caa39cfccdc0ae3488dd">  133</a></span>    <span class="keyword">override</span> vector <a class="code hl_function" href="../../da/d03/a07750.html#a0f10287ac2c1caa39cfccdc0ae3488dd">GetTransportCameraOffset</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetTransportCameraOffset&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0 1.5 0&quot;</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a361ff1dd028482c7a1cbbaa9336ce2be">  142</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/d03/a07750.html#a361ff1dd028482c7a1cbbaa9336ce2be">GetTransportCameraDistance</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetTransportCameraDistance&quot;</span>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> 12;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../da/d03/a07750.html#a674bd769c054f2943b6e5217aa0b2fb3">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d03/a07750.html#a674bd769c054f2943b6e5217aa0b2fb3">Expansion_CanConnectTow</a>(notnull Object other)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Expansion_CanConnectTow&quot;</span>).Add(other);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>};</div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00722_html_a08d74a8231214471dffe0cce98ef192b"><div class="ttname"><a href="../../db/d7c/a00722.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a></div><div class="ttdeci">static CF_Trace CF_Trace_3(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00087">cf_trace.c:87</a></div></div>
<div class="ttc" id="aa00722_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa02216_html_a3bae34135b918bcd04b5f8a3d136e313"><div class="ttname"><a href="../../d8/d5f/a02216.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a></div><div class="ttdeci">vector GetOrientation()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5f/a02216_source.html#l00104">expansionquestnpcdata.c:104</a></div></div>
<div class="ttc" id="aa02216_html_a58bb45de914f9ba1769fdd2184c4ba20"><div class="ttname"><a href="../../d8/d5f/a02216.html#a58bb45de914f9ba1769fdd2184c4ba20">SetPosition</a></div><div class="ttdeci">void SetPosition(vector pos)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5f/a02216_source.html#l00089">expansionquestnpcdata.c:89</a></div></div>
<div class="ttc" id="aa02216_html_ab0772e48a0ac5e2498ae16488790cce5"><div class="ttname"><a href="../../d8/d5f/a02216.html#ab0772e48a0ac5e2498ae16488790cce5">SetOrientation</a></div><div class="ttdeci">void SetOrientation(vector orientation)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5f/a02216_source.html#l00099">expansionquestnpcdata.c:99</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04362_html"><div class="ttname"><a href="../../d4/d8a/a04362.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04362_html_a800d1c180f0124f6ff745694db61e6fa"><div class="ttname"><a href="../../d4/d8a/a04362.html#a800d1c180f0124f6ff745694db61e6fa">ExpansionStatic::SurfaceIsWater</a></div><div class="ttdeci">static bool SurfaceIsWater(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l01078">expansionstatic.c:1078</a></div></div>
<div class="ttc" id="aa07510_html"><div class="ttname"><a href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00016">expansionvehicleaniminstances.c:17</a></div></div>
<div class="ttc" id="aa07510_html_a76bb1e22e06fdcb9ef8d6511939bd53a"><div class="ttname"><a href="../../db/d12/a07510.html#a76bb1e22e06fdcb9ef8d6511939bd53a">ExpansionVehicleAnimInstances::EX_HATCHBACK</a></div><div class="ttdeci">static int EX_HATCHBACK</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00022">expansionvehicleaniminstances.c:22</a></div></div>
<div class="ttc" id="aa07750_html"><div class="ttname"><a href="../../da/d03/a07750.html">ExpansionVehicleCarBase</a></div><div class="ttdoc">This class handle bicycle simulation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00017">expansionvehicleboatbase.c:18</a></div></div>
<div class="ttc" id="aa07750_html_a0c3600f3dacf07fafe8e1de11139d2cc"><div class="ttname"><a href="../../da/d03/a07750.html#a0c3600f3dacf07fafe8e1de11139d2cc">ExpansionVehicleCarBase::CanReachSeatFromDoors</a></div><div class="ttdeci">override bool CanReachSeatFromDoors(string pSeatSelection, vector pFromPos, float pDistance=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00110">expansionvehicleboatbase.c:110</a></div></div>
<div class="ttc" id="aa07750_html_a0ca9c05334f8550bb82d23dfec2bfb42"><div class="ttname"><a href="../../da/d03/a07750.html#a0ca9c05334f8550bb82d23dfec2bfb42">ExpansionVehicleCarBase::IsBoat</a></div><div class="ttdeci">override bool IsBoat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00128">expansionvehicleboatbase.c:128</a></div></div>
<div class="ttc" id="aa07750_html_a0f10287ac2c1caa39cfccdc0ae3488dd"><div class="ttname"><a href="../../da/d03/a07750.html#a0f10287ac2c1caa39cfccdc0ae3488dd">ExpansionVehicleCarBase::GetTransportCameraOffset</a></div><div class="ttdeci">override vector GetTransportCameraOffset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00133">expansionvehicleboatbase.c:133</a></div></div>
<div class="ttc" id="aa07750_html_a361ff1dd028482c7a1cbbaa9336ce2be"><div class="ttname"><a href="../../da/d03/a07750.html#a361ff1dd028482c7a1cbbaa9336ce2be">ExpansionVehicleCarBase::GetTransportCameraDistance</a></div><div class="ttdeci">override float GetTransportCameraDistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00142">expansionvehicleboatbase.c:142</a></div></div>
<div class="ttc" id="aa07750_html_a3ef5cb282a22bc27dc7350859dc27abc"><div class="ttname"><a href="../../da/d03/a07750.html#a3ef5cb282a22bc27dc7350859dc27abc">ExpansionVehicleCarBase::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00101">expansionvehicleboatbase.c:101</a></div></div>
<div class="ttc" id="aa07750_html_a51a1b7706d30ace4b2467e6759625e14"><div class="ttname"><a href="../../da/d03/a07750.html#a51a1b7706d30ace4b2467e6759625e14">ExpansionVehicleCarBase::DeferredInit</a></div><div class="ttdeci">override void DeferredInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00023">expansionvehicleboatbase.c:23</a></div></div>
<div class="ttc" id="aa07750_html_a53876a4cce558473fc0df2d02a0f6924"><div class="ttname"><a href="../../da/d03/a07750.html#a53876a4cce558473fc0df2d02a0f6924">ExpansionVehicleCarBase::CreateRearLight</a></div><div class="ttdeci">override CarLightBase CreateRearLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00092">expansionvehicleboatbase.c:92</a></div></div>
<div class="ttc" id="aa07750_html_a612a02a5d77a295c3acf25450829d5db"><div class="ttname"><a href="../../da/d03/a07750.html#a612a02a5d77a295c3acf25450829d5db">ExpansionVehicleCarBase::OnAnimationUpdate</a></div><div class="ttdeci">protected override void OnAnimationUpdate(float pDt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00038">expansionvehicleboatbase.c:38</a></div></div>
<div class="ttc" id="aa07750_html_a643b67fb0341fea17f056accd2306b50"><div class="ttname"><a href="../../da/d03/a07750.html#a643b67fb0341fea17f056accd2306b50">ExpansionVehicleCarBase::Get3rdPersonCameraType</a></div><div class="ttdeci">override int Get3rdPersonCameraType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00046">expansionvehicleboatbase.c:46</a></div></div>
<div class="ttc" id="aa07750_html_a674bd769c054f2943b6e5217aa0b2fb3"><div class="ttname"><a href="../../da/d03/a07750.html#a674bd769c054f2943b6e5217aa0b2fb3">ExpansionVehicleCarBase::Expansion_CanConnectTow</a></div><div class="ttdeci">override bool Expansion_CanConnectTow(notnull Object other)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00151">expansionvehicleboatbase.c:151</a></div></div>
<div class="ttc" id="aa07750_html_a6f62396b3e1a34eabd08f68ab2c7ce1d"><div class="ttname"><a href="../../da/d03/a07750.html#a6f62396b3e1a34eabd08f68ab2c7ce1d">ExpansionVehicleCarBase::ExpansionVehicleBoatBase</a></div><div class="ttdeci">void ExpansionVehicleBoatBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00019">expansionvehicleboatbase.c:19</a></div></div>
<div class="ttc" id="aa07750_html_aa0e5272a9944b90b9906b3c4afa635a5"><div class="ttname"><a href="../../da/d03/a07750.html#aa0e5272a9944b90b9906b3c4afa635a5">ExpansionVehicleCarBase::IsCar</a></div><div class="ttdeci">override bool IsCar()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00119">expansionvehicleboatbase.c:119</a></div></div>
<div class="ttc" id="aa07750_html_aad38c8c931e7d9e0ce5600d25139720e"><div class="ttname"><a href="../../da/d03/a07750.html#aad38c8c931e7d9e0ce5600d25139720e">ExpansionVehicleCarBase::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00083">expansionvehicleboatbase.c:83</a></div></div>
<div class="ttc" id="aa07750_html_ad2ce2844ccd24bc916949e0803008080"><div class="ttname"><a href="../../da/d03/a07750.html#ad2ce2844ccd24bc916949e0803008080">ExpansionVehicleCarBase::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00055">expansionvehicleboatbase.c:55</a></div></div>
<div class="ttc" id="aa07750_html_ad72125b1e4208ad9c3a7475645264be3"><div class="ttname"><a href="../../da/d03/a07750.html#ad72125b1e4208ad9c3a7475645264be3">ExpansionVehicleCarBase::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d43/a03101_source.html#l00064">expansionvehicleboatbase.c:64</a></div></div>
<div class="ttc" id="aa07770_html"><div class="ttname"><a href="../../d1/d66/a07770.html">ExpansionVehicleBoatBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/a03140_source.html#l00013">vehicle_expansionutilityboat.c:14</a></div></div>
<div class="ttc" id="aa07870_html"><div class="ttname"><a href="../../d0/dd3/a07870.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d19/a03242_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa07874_html"><div class="ttname"><a href="../../d9/d64/a07874.html">CarRearLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/daf/a03245_source.html#l00001">expansion250nrearlight.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../d5/d43/a03101.html">expansionvehicleboatbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
